Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.endeca.portal.data.functions
Enum RangeFilter.RangeType

    java.lang.Object
      java.lang.Enum<RangeFilter.RangeType>
          com.endeca.portal.data.functions.RangeFilter.RangeType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<RangeFilter.RangeType>

Enclosing class:
  RangeFilter

    public static enum RangeFilter.RangeType

extends java.lang.Enum<RangeFilter.RangeType>

Specifies the type of `RangeFilter`

Enum Constant Summary
`CURRENCY`
`DATE`
`GEOCODE`
`NUMERIC`

Method Summary
`static RangeFilter.RangeType` | `parseType(java.lang.String type)`
`static RangeFilter.RangeType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static RangeFilter.RangeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NUMERIC

    public static final RangeFilter.RangeType NUMERIC

### CURRENCY

    public static final RangeFilter.RangeType CURRENCY

### DATE

    public static final RangeFilter.RangeType DATE

### GEOCODE

    public static final RangeFilter.RangeType GEOCODE

Method Detail

### values

    public static final RangeFilter.RangeType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(RangeFilter.RangeType c : RangeFilter.RangeType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static RangeFilter.RangeType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### parseType

    public static RangeFilter.RangeType parseType(java.lang.String type)
                                           throws RangeFilter.RangeTypeNotSupportedException

  Throws:
    `RangeFilter.RangeTypeNotSupportedException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD